Subject: bug#39671: Something appears to disable linux kernel modules from loading.

From: Leo Famulari <[email-masked]>
Date: Thu, 20 Feb 2020 15:34:02 -0500

On Thu, Feb 20, 2020 at 08:59:25PM +0100, pelzflorian (Florian Pelz) wrote:
> The attached patch fixes the issue for me.  Can someone confirm?
> 
> It replaces or copies setenv calls for the udev service.
> 
> There are more service definitions that call setenv; I do not know if
> they need to be moved too.
> 
> I will try if a smaller patch would suffice as well now.
> 
> Regards,
> Florian

> From 11509370049355680c815e06250afc09325c589c Mon Sep 17 00:00:00 2001
> From: Florian Pelz <[email-masked]>
> Date: Thu, 20 Feb 2020 14:05:06 +0100
> Subject: [PATCH] services: udev: Do not rely on shepherd inheriting
>  environment variables.
> 
> Fixes <https://bugs.gnu.org/39671>.
> 
> * gnu/services/base.scm (udev-shepherd-service)[start] Move or copy
> environment variables to 'fork+exec-command' instead of 'setenv'.

Thanks! Which commmit is this based on? I can't apply it with `git
am`...